Bug 124823 - Maxtor 5000 DV USB HD not managed by Kudzu
Summary: Maxtor 5000 DV USB HD not managed by Kudzu
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu   
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-30 20:02 UTC by Mike Weaver
Modified: 2014-03-17 02:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 18:20:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike Weaver 2004-05-30 20:02:21 UTC
Description of problem:

Maxtor 5000 DV USB/Firewire hardrive appears not to be managed by
Kudzu. When the drive is plugged in no entries are found in /etc/fstab
or in /mnt. Also the drive does not appear in Nautilus.

Version-Release number of selected component (if applicable):


How reproducible:

Connect the drive.

Steps to Reproduce:
1. Connect Drive
2. Check /etc/fstab, no new entries are found.
3. Check /mnt, no new mount point is created.
4. Check computer:/// in Nautilus, no icon for the drive appears.
  
Actual results:

The drive does not appear to be managed by Kudzu, manually creating a
line in /etc/fstab and creating a mount point in /mnt and mounting the
drive manually works. However the drive does not automatically mount.

Expected results:

The drive to automatically mount when connnected as the other
connected devices do. 

Additional info:

The USB interface was tested. Other hardware mounts automatically. A
Fuji Finepix 2650 and a TDK indiDVD 440n hotplug successfully.

Comment 1 Bill Nottingham 2004-06-01 05:09:49 UTC
Currently, *nothing* is automatically mounted.

What's the output of 'kudzu -p -b scsi'?

Comment 2 Mike Weaver 2004-06-01 07:47:25 UTC
[root@localhost root]# kudzu -p -b scsi
-
class: HD
bus: SCSI
detached: 0
device: sda
driver: ignore
desc: "Maxtor 5000DV v01.00.00"
host: 0
id: 0
channel: 0
lun: 0
generic: sg0

Comment 3 Sjoerd Mullender 2004-10-21 16:48:21 UTC
I have the same problem with a Western Digital disk that I want to
access through FireWire.  I also have an entry in /etc/updfstab.conf.
 The relevant bit is:

device wdc {
    partition 2
    match   hd 2500JB
}

(yes, I want to mount partition 2 of the disk ;-), and the relevant
part of the output of 'kudzu -p -b scsi' is:

class: HD
bus: SCSI
detached: 0
device: sda
driver: ignore
desc: "Wd 2500JB External"
host: 0
id: 0
channel: 0
lun: 0
generic: sg0


Comment 4 Bill Nottingham 2004-10-21 18:20:07 UTC
updfstab specifically doesn't target hard drives. As the feature is
handled by hal and fstab-sync in Fedora Core 3, I don't think updfstab
is going to change. 


Note You need to log in before you can comment on or make changes to this bug.